Overview
GET/oauth/provider-templatesoauth

Built-in provider templates (admin)

List provider-templates.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

Built-in provider templates

  • templatesobject
Example
{
  "templates": {}
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
403

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/oauth/provider-templates" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/oauth/provider-templates", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();